require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"


import "android.net.Uri"
import "java.io.File"
import "com.google.android.material.dialog.MaterialAlertDialogBuilder"
import "android.view.View"
import "net.fusionapp.core.ui.fragment.WebInterface"
import "android.widget.RelativeLayout"
import "android.content.Intent"
import "androidx.cardview.widget.CardView"
import "net.fusionapp.core.util.FusionUtil"
import "android.widget.TextView"
import "android.app.AlertDialog"
import "androidx.appcompat.app.AlertDialog"
import "android.widget.LinearLayout"

uiManager=activity.uiManager
local viewPager=uiManager.viewPager
local fltBtn=this.uiManager.getFloatingActionButton()
local uiManager=activity.getUiManager()
local webView=uiManager.getCurrentFragment().getWebView()

webView.addView(
loadlayout(
{
  RelativeLayout; --总体背景卡片
  elevation='0dp';--卡片阴影
  layout_width='wrap';--布局宽度
  layout_height='wrap';--布局高度
  {
    LinearLayout,--线性布局
    orientation='vertical',--布局方向
    layout_marginLeft='wrap';--布局左距
    gravity="center",--重力居底｜置中
    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度
      cardBackgroundColor='#00000000',--卡片背景色
      layout_marginTop='3%w';--布局顶距
      id="遮挡左",
      {
        TextView,--文本框控件
        text='           👈点这里搜索',--文本内容
        textSize='25sp',--文本大小
        textColor='#ffff0000',--文本颜色
      },
    },
    {
      CardView,--卡片框控件
      elevation='0dp';--卡片阴影
      layout_width='wrap',--布局宽度
      layout_height='wrap',--布局高度
      --cardBackgroundColor='#00000000',--卡片背景色
      layout_marginTop='-12%w';--布局顶距
      id="遮挡中间",

      { ImageView,--图片框控件
        layout_width='wrap',--布局宽度
        layout_height='wrap',--布局高度
        src='twm.png',--视图路径
        --colorFilter='#333333',--图片颜色

      },
    },
  },

}--卡片布局 结束
))--相对布局 结束

--延时事件
task(4000,function()--1000毫秒=1秒
  遮挡中间.setVisibility(View.GONE)
  task(8000,function()--1000毫秒=1秒
    遮挡左.setVisibility(View.GONE)

  end)
end)

--自动展开：侧滑栏
task(100,function()

  this.uiManager.drawerLayout.openDrawer(3)
end)

task(4000,function()
  --自动关闭：侧滑栏
  this.uiManager.drawerLayout.closeDrawer(3)
  弹出消息("左上角 导航 可搜索")
end)


--对话框_不再提示
import "java.io.File"
local ConfinFilePath=activity.getExternalFilesDir(nil).absolutePath.."/55136609991"
if not File(ConfinFilePath).exists() then
  import "com.google.android.material.dialog.MaterialAlertDialogBuilder"
  import "android.widget.LinearLayout"
  import "android.widget.TextView"
  local DialogLayout={LinearLayout,
    paddingLeft="30dp",--文字左距
    paddingRight="30dp",--文字右距
    paddingTop="7dp",--文字顶距
    {TextView,
      textSize="15sp",
      TextIsSelectable=true,
      id="不再提示的",
    }
  }
  task(100,function()
    MaterialAlertDialogBuilder(this)
    .setTitle("使用提示")--标题
    .setView(loadlayout(DialogLayout))
    .setNeutralButton("不再提示",function()
      --左侧按钮事件
      print("不再提示")
      io.open(ConfinFilePath,"w"):write(""):close()
    end)
    .setNegativeButton("官方版        ",function()

      function 浏览器打开(链接)
        import "android.content.Intent"
        import "android.net.Uri"
        viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
        activity.startActivity(viewIntent)
      end
      浏览器打开("https://ff.ekcbtys.tips/")
      print("支持多平台")

    end)
    .setPositiveButton("进入软件",function()
      --右侧按钮事件
      print("有问题看右上⚠")
    end)
    .show()
    不再提示的.setText([[
    
➊移动网络 若 无法加载 请尝试：

   1.切换 联通/电信 (流量或WiFi)
   2.开启 νρп茄速器 后 刷新



➋所有网络 无法播放 请尝试：

   1.点击下载按钮，先下载后观看
   2.升级版本或更换笔盒
   3.下载官方版51吃呱(有广告)
 ]])
  end)
end


FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  local listData = data.get(listIndex);

  local itemData = listData.get(itemIndex);

  local itemTitle = itemData.getTitle();

  if itemTitle == "线路一" then
    退出页面()
    进入子页面("xl1",{"https://zqcph.com/"})
  end


  if itemTitle == "线路二" then
    退出页面()
    进入子页面("xl1",{"https://51cg007.com"})
  end


  if itemTitle == "线路三" then
    退出页面()
    进入子页面("xl1",{"https://51cg35.me/"})

  end

  if itemTitle == "线路四" then
    退出页面()
    进入子页面("xl1",{"https://shqwvk.com"})

  end
  if itemTitle == "线路五" then
    退出页面()
    进入子页面("xl1",{"https://zluxlxjog.com/"})

  end

  if itemTitle == "夜间模式" then
    if itemData.isChecked() then
      switchNightTheme(itemData, false, "Default_Light.json")
     else
      switchNightTheme(itemData, true, "Night.json")
    end
   else
    print("切换到: "..itemTitle)
  end
end

--重新加载当前activity
function recreate()
  activity.finish();
  activity.startFusionActivity(activity.getLoader().getPageName());
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out);
end

--切换主题和夜间模式
function switchNightTheme(listItemData, isNightMode, newThemeName)
  listItemData.setChecked(isNightMode)
  activity.getLoader().updatePageConfig()
  FusionUtil.changeTheme(activity.getLoader().getProjectDir().getAbsolutePath(), newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end





function onMenuItemClick(title)
  local itemTitle = title
  if itemTitle=="问题"then
    this.uiManager.drawerLayout.openDrawer(3)
    弹出消息("左上角 导航 可搜索")


    AlertDialog.Builder(this)
    .setTitle("使用提示")
    .setMessage("\n➊移动网络 若 无法加载 请尝试：\n   1.切换 联通/电信 (流量或WiFi)\n   2.开启 νρп茄速器 后 刷新\n\n➋所有网络 无法播放 请尝试：\n   1.点击下载按钮，先下载后观看\n   2.升级版本或更换笔盒\n   3.下载官方版51吃呱(有广告)")
    .setPositiveButton("海外线路",{onClick=function(v)
        function 浏览器打开(链接)
          import "android.content.Intent"
          import "android.net.Uri"
          viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
          activity.startActivity(viewIntent)
        end
        浏览器打开("http://cggo.live/")
        print("需要开启VPN加速器")
      end})
    .setNeutralButton("官方版",{onClick=function(v)
        function 浏览器打开(链接)
          import "android.content.Intent"
          import "android.net.Uri"
          viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
          activity.startActivity(viewIntent)
        end
        浏览器打开("https://ff.ekcbtys.tips/")
        print("支持多平台")
      end})
    .setNegativeButton("",{onClick=function(v)

      end})
    .show()
  end

  if itemTitle=="下载"then

    if pcall(function() activity.getPackageManager().getPackageInfo("idm.internet.download.manager.plus",0) end) then
      function 指定浏览器打开(包名,链接)
        import"android.os.*"
        import"android.widget.*"
        import"android.view.*"
        import"android.text.*"
        import"android.content.*"
        intent=Intent("android.intent.action.VIEW")
        intent.setPackage(包名)
        intent.setData(Uri.parse(链接))
        this.startActivity(intent)
      end
      --调用方法
      指定浏览器打开("idm.internet.download.manager.plus",获取网址())

     else
      function 浏览器打开(链接)
        import "android.content.Intent"
        import "android.net.Uri"
        viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
        activity.startActivity(viewIntent)
      end
      浏览器打开("https://wwmq.lanzouj.com/iJsZz0s2h07a")
      弹出消息("请先下载IDM")
    end

    对话框()
    .设置标题("下载视频？")
    .设置消息("\n➊下载并安装IDM，语言选Chinese(Simplified)并下一步，\n\n➋从本软件跳转IDM后，稍等一会儿，IDM右上角会出现红色数字1，点击后选择文件(重命名)并开始下载。\n")
    .设置消极按钮("",function()
      弹出消息("已复制链接")
      获取浏览器()
      复制文本(获取网址())
    end)
    .设置积极按钮("       打开IDM",function()
      function 指定浏览器打开(包名,链接)
        import"android.os.*"
        import"android.widget.*"
        import"android.view.*"
        import"android.text.*"
        import"android.content.*"
        intent=Intent("android.intent.action.VIEW")
        intent.setPackage(包名)
        intent.setData(Uri.parse(链接))
        this.startActivity(intent)
      end
      --调用方法
      指定浏览器打开("idm.internet.download.manager.plus",获取网址())

    end)
    .设置中立按钮("下载IDM",function()
      function 浏览器打开(链接)
        import "android.content.Intent"
        import "android.net.Uri"
        viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
        activity.startActivity(viewIntent)
      end
      浏览器打开("https://wwmq.lanzouj.com/iJsZz0s2h07a")
    end)
    .显示()

  end
  if itemTitle=="复制链接"then
    弹出消息("已复制链接")
    获取浏览器()
    复制文本(获取网址())
  end

  if itemTitle=="刷新"then
    刷新网页()
    print("刷新页面")
  end
end




--获取到主页面传递过来的url
local url=...
--获取界面管理器
uiManager=activity.getUiManager()
--获取浏览器控件
webView=uiManager.getCurrentFragment().getWebView()

--加载链接
function 加载链接(url)
  webView.loadUrl(url)
end

function urlDecode(s)
  s=s:gsub("+"," "):gsub('%%(%x%x)',function(h) return string.char(tonumber(h,16)) end)
  return s
end

--设置浏览器监听
local uimanager=activity.uiManager
local fragment=uimanager.currentFragment
fragment.setWebInterface(WebInterface{
  onPageFinished=function(view,url)
    --页面加载结束事件
  end,
  onPageStarted=function(view,u,favicon)
    if urlDecode(u)==url then
      webView.clearHistory()
    end
  end,

  onLoadResource=function(view,url)
    --页面资源加载监听
    --可通过该方法获取网页上的资源
  end,
  onUrlLoad=function(view,url)
    --即将开始加载事件，url参数是即将加载的url
    --该函数返回一个布尔值
    --返回true则拦截本次加载
    return false
  end
})

加载链接(url)

--悬浮按钮点击事件
function onFloatingActionButtonClick(v)
  --TODO：
  刷新网页()
  弹出消息("刷新页面")
end



