require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"
import "android.net.Uri"
import "net.fusionapp.core.util.FusionUtil"
import "net.fusionapp.core.ui.fragment.WebInterface"
import "android.content.Intent"
require"import"

import "android.content.Intent"
import "android.net.Uri"
import "android.app.AlertDialog"
import "androidx.appcompat.app.AlertDialog"
import "net.fusionapp.core.ui.fragment.WebInterface"
import "net.fusionapp.core.util.FusionUtil"
FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

--右上角_夜间模式
menus=activity.viewConfig.toolbar.getMenus()
function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end



function onMenuItemClick(title)
  local itemTitle = title

  if itemTitle=="问题"then

    -- this.uiManager.drawerLayout.openDrawer(3)

    AlertDialog.Builder(this)
    --标题
    .setTitle("使用提示！")
    --对话框消息内容
    .setMessage("➊移动卡网络无法加载 请尝试：\n  1.切换 联通/电信卡数据或WiFi\n  2.开启νρп茄速器后刷新\n  3.狂点右上角↗刷新\n\n➋无法播放视频请尝试：\n  1.右上角⬇按钮，去1DM下载后欣赏。\n  2.复制链接到其他浏览器打开")
    --确定(积极按钮)
    .setPositiveButton("复制链接",{onClick=function(v)
        获取浏览器()
        复制文本(获取网址())
        print("已复制")
      end})
    --取消(中立按钮)
    .setNeutralButton("获取νρп",{onClick=function(v)
        进入子页面("MMJD",{"参数"})
print("请下载茄速器")
      end})
    .setNegativeButton("",{onClick=function(v)
        获取浏览器()
        复制文本(获取网址())
        print("已复制")
      end})
    .show()

  end
  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end

  end
  if itemTitle=="复制"then
    获取浏览器()
        复制文本(获取网址())
        print("已复制")
  end
  if itemTitle=="刷新"then
    刷新网页()
  end
  if itemTitle=="下载"then
    if pcall(function() activity.getPackageManager().getPackageInfo("idm.internet.download.manager.plus",0) end) then
      function 指定浏览器打开(包名,链接)
        import"android.os.*"
        import"android.widget.*"
        import"android.view.*"
        import"android.text.*"
        import"android.content.*"
        intent=Intent("android.intent.action.VIEW")
        intent.setPackage(包名)
        intent.setData(Uri.parse(链接))
        this.startActivity(intent)
      end
      --调用方法
      指定浏览器打开("idm.internet.download.manager.plus",获取网址())
     else
      function 浏览器打开(链接)
        import "android.content.Intent"
        import "android.net.Uri"
        viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
        activity.startActivity(viewIntent)
      end
      浏览器打开("https://wwmq.lanzouc.com/iiQCY164nzte")
      弹出消息("请先下载IDM")
    end
    对话框()
    .设置标题("下载视频？")
    .设置消息("\n➊下载并安装IDM，语言选Chinese(Simplified)并下一步，\n\n➋从本软件跳转IDM后，稍等一会儿，IDM右上角会出现红色数字1，点击后选择文件(重命名)并开始下载。\n")
    .设置消极按钮("复制链接",function()
      弹出消息("已复制链接")
      获取浏览器()
      复制文本(获取网址())
    end)
    .设置积极按钮("       打开IDM",function()
      function 指定浏览器打开(包名,链接)
        import"android.os.*"
        import"android.widget.*"
        import"android.view.*"
        import"android.text.*"
        import"android.content.*"
        intent=Intent("android.intent.action.VIEW")
        intent.setPackage(包名)
        intent.setData(Uri.parse(链接))
        this.startActivity(intent)
      end
      --调用方法
      指定浏览器打开("idm.internet.download.manager.plus",获取网址())

    end)
    .设置中立按钮("下载IDM",function()
      function 浏览器打开(链接)
        import "android.content.Intent"
        import "android.net.Uri"
        viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
        activity.startActivity(viewIntent)
      end
      浏览器打开("https://wwmq.lanzouc.com/iiQCY164nzte")

    end)
    .显示()
  end

end


FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到点击项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取点击项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到点击的项目的标题
  local itemTitle = itemData.getTitle();

  if itemTitle == "线路一" then
    this.uiManager.drawerLayout.closeDrawer(3)
    加载网页("https://biher.cc/")
  end
  if itemTitle == "线路二" then
    this.uiManager.drawerLayout.closeDrawer(3)
    加载网页("https://bihee.org/")
  end
  if itemTitle == "线路三" then
    this.uiManager.drawerLayout.closeDrawer(3)
    加载网页("https://51cg10.me/")
  end
  if itemTitle == "更新" then
    function 浏览器打开(链接)
      import "android.content.Intent"
      import "android.net.Uri"
      viewIntent = Intent("android.intent.action.VIEW",Uri.parse(链接))
      activity.startActivity(viewIntent)
    end
    浏览器打开("https://zhiy.cc/page/1235")
  end
end

local uimanager=activity.uiManager
local fragment=uimanager.currentFragment
fragment.setWebInterface(WebInterface{
  onReceivedTitle=function(view,title)
    weburl=view.getUrl()
    --ssl证书错误自动处理
    import"com.google.android.material.dialog.MaterialAlertDialogBuilder"
    onClick=function()
    end
    collectgarbage("collect")
  end,
  onReceivedSslError=function(view, sslErrorHandler, sslError)
    --ssl证书错误自动处理
    import"com.google.android.material.dialog.MaterialAlertDialogBuilder"
    onClick=function()
    end
    return true
  end
})

