require "import"
import "android.os.*"
import "android.widget.*"
import "android.view.*"

import "android.view.View"
import "android.widget.RelativeLayout"
import "android.widget.LinearLayout"
import "android.net.Uri"
import "android.widget.TextView"
import "androidx.swiperefreshlayout.widget.CircleImageView"
import "android.widget.CircleImageView"
import "android.content.Intent"
import "net.fusionapp.core.util.FusionUtil"
import "android.widget.ScrollView"
import "android.view.animation.ScaleAnimation"

import "android.app.AlertDialog"
import "androidx.appcompat.app.AlertDialog"
--[[task(1000,function()
  --1秒后 自动 展示 侧滑栏
  this.uiManager.drawerLayout.openDrawer(3)
end)
]]


FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"

function onDrawerListItemClick(data, recyclerView, listIndex, itemIndex)
  --侧滑栏列表的数据是二维结构，所以需要先获取到点击项目所在列表的数据
  local listData = data.get(listIndex);
  --获取到所在列表的数据后获取点击项目的数据
  local itemData = listData.get(itemIndex);
  --最后获取到点击的项目的标题
  local itemTitle = itemData.getTitle();
  if itemTitle == "笔盒" then
    activity.newActivity("bh")

  end
  if itemTitle == "51恰呱" then
    activity.newActivity("51")
  end

end

--右上角_夜间模式
menus=activity.viewConfig.toolbar.getMenus()
function recreate()
  activity.finish()
  activity.startFusionActivity(activity.loader.pageName)
  activity.overridePendingTransition(android_R.anim.fade_in,android_R.anim.fade_out)
end
function switchNightTheme(isNightMode,newThemeName)
  if isNightMode then
    menus[1].setIcon("wb_sunny")--图片1
   else
    menus[1].setIcon("brightness_2")--图片2
  end
  activity.loader.updatePageConfig()
  FusionUtil.changeTheme(activity.loader.projectDir.path,newThemeName)
  FusionUtil.setNightMode(isNightMode)
  recreate()
end

function onMenuItemClick(title)
  local itemTitle = title
  if itemTitle=="问号"then

    对话框()
    .设置标题("温馨提示")
    .设置消息("看片用第一排，翻墙用第二三排，找软件用第四排，\n\n蓝奏云分享除第1页外，其他均来自第三方分享，无法确定是否有无：\n云卡密注入、强制分享、引流、付费、密码错误、上传者会员到期 等问题。")
    .设置积极按钮("知道了",function()
    end)
    .setCancelable(false)
    .设置消极按钮("")
    .显示()



  end
  if itemTitle=="获取密码"then
    print("密码群 @Q群管家")
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      this.startActivity(open)
    end
    复制文本("@Q群管家")
    打开程序("com.tencent.mobileqq")
  end

  if itemTitle=="刷新"then
    刷新网页()
    print("刷新网页")
  end

  if itemTitle=="夜间模式"then
    if menus[1].getIcon()=="brightness_2" then
      switchNightTheme(true,"Night.json")
      print("夜间模式")
     else
      switchNightTheme(false,"Default_Light.json")
      print("日间模式")
    end
  end
end

--悬浮按钮
function onFloatingActionButtonClick(v)
  对话框()
  .设置标题("上传链接")
  .设置消息("\n请复制你要上传的链接后发给QQ客服。")
  .设置积极按钮("客服",function()
    联系QQ(672812629)
    print("QQ672812629")
  end)
  .设置中立按钮("取消")
  .显示()
end

--全局下载跳转浏览器
local uiManager=activity.uiManager
function webviewRefresh(index)
  uiManager.getFragment(index).webView.setDownloadListener{
    onDownloadStart=function(url,a,b,c,d)
      activity.startActivity(Intent("android.intent.action.VIEW",Uri.parse(url)))
    end
  }
end
webviewRefresh(0)
uiManager.viewPager.setOnPageChangeListener(luajava.bindClass "androidx.viewpager.widget.ViewPager$OnPageChangeListener"{
  onPageSelected=function(index)
    webviewRefresh(index)
  end
})



--[[


--禁止网页长按
local uiManager=activity.uiManager
local fragment=uiManager.currentFragment
fragment.setMenuInterface(luajava.bindClass"net.fusionapp.core.ui.fragment.WebViewMenuSupport".Interface{
  onMenuItemCreate=function(list)
  end,
})


InputLayout={
  LinearLayout;
  orientation="vertical";
  Focusable=true,
  FocusableInTouchMode=true,
  {
    EditText;
    hint="请输入密码(群公告或@Q群管家)";
    InputType="number";--限制只能输入数字，此行删除即可输入汉字
    layout_marginTop="5dp";
    layout_width="80%w";
    layout_gravity="center",
    id="edit";
  };
};

AlertDialog.Builder(this)
.setTitle("秘密基地")
.setView(loadlayout(InputLayout))
.setCancelable(false)
.setPositiveButton("              确定",{onClick=function(v)
    if(edit.Text=="1234")then--可修改密码
     else
      弹出消息("密码错误")
      activity.finish();
      activity.startFusionActivity(activity.getLoader().getPageName());
    end
  end})
.setNegativeButton("获取密码",{onClick=function(v)
    退出页面()
    进入子页面("DS")
  end})
.setNeutralButton("退出",{onClick=function(v)
    退出页面()
  end})
.show()

]]


FusionUtil = luajava.bindClass "net.fusionapp.core.util.FusionUtil"
android_R = luajava.bindClass "android.R"


uiManager=activity.uiManager
local webView=uiManager.getCurrentFragment().getWebView()

webView.addView(
loadlayout(
{
  RelativeLayout; --总体背景卡片
  elevation='0dp';--卡片阴影
  layout_width='fill';--布局宽度
  layout_height='fill';--布局高度

  {
    ScrollView,--纵向滑动控件
    layout_width='fill',--布局宽度
    layout_height='fill',--布局高度
    overScrollMode=View.OVER_SCROLL_NEVER,--隐藏圆弧阴影
    verticalScrollBarEnabled=false,--隐藏纵向滑条

    {
      LinearLayout,--线性布局
      orientation='vertical',--布局方向
      layout_width='fill',--布局宽度
      layout_height='fill',--布局高度
      --第一排
      id="全局",
      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",
        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="bh",
            {
              CircleImageView;--圆形控件
              src="bh";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="笔盒";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };


        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="wy",
            {
              CircleImageView;--圆形控件
              src="51";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="51恰呱";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="孤煞",
            {
              CircleImageView;--圆形控件
              src="gs";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="孤煞软件库";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="逗盒",
            {
              CircleImageView;--圆形控件
              src="dh";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="逗盒";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };
      };

      --第一排结束

      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="黑洞",
            {
              CircleImageView;--圆形控件
              src="hd";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="黒霘茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="雷霆",
            {
              CircleImageView;--圆形控件
              src="lt";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="蕾庭茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="旋风",
            {
              CircleImageView;--圆形控件
              src="xf";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="旋风茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="安易",
            {
              CircleImageView;--圆形控件
              src="ay";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="安逸茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };


        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="白琼",
            {
              CircleImageView;--圆形控件
              src="bj";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="白琼茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };


      };

      --第二排结束

      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",




        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="tiktok",
            {
              CircleImageView;--圆形控件
              src="tiktok";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="Tiktok";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="apkpure",
            {
              CircleImageView;--圆形控件
              src="apkpure";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="Apkpure";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="telegram",
            {
              CircleImageView;--圆形控件
              src="telegram";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="Telegram";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="Twitter",
            {
              CircleImageView;--圆形控件
              src="Twitter";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="Twitter";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="Facebook",
            {
              CircleImageView;--圆形控件
              src="Facebook";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="Facebook";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };


      };

      --第三排结束

      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="软件仓库",
            {
              CircleImageView;--圆形控件
              src="ck";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="软件仓库";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="蓝搜",
            {
              CircleImageView;--圆形控件
              src="ls";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="蓝搜";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };



        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="奇妙",
            {
              CircleImageView;--圆形控件
              src="qm";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="奇妙应用";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="奇异",
            {
              CircleImageView;--圆形控件
              src="qy";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="奇异社区";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };
      };
      --第4排结束

      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="影视",
            {
              CircleImageView;--圆形控件
              src="ys";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="影视";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="音乐",
            {
              CircleImageView;--圆形控件
              src="yy";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="音乐";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="电子书",
            {
              CircleImageView;--圆形控件
              src="xs";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="电子书";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="虚拟机",
            {
              CircleImageView;--圆形控件
              src="xnj";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="虚拟机";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="万能钥匙",
            {
              CircleImageView;--圆形控件
              src="WiFi";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="WiFi钥匙";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };
      };


      --第六排

      {
        LinearLayout,
        orientation="horizontal",
        gravity="center|bottom";
        layout_width="fill",
        layout_height="match_parent",

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="磁力搜索",
            {
              CircleImageView;--圆形控件
              src="clss";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="磁力搜索";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="磁力下载",
            {
              CircleImageView;--圆形控件
              src="clxz";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="磁力下载";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };
        --[[
        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="旋风",
            {
              CircleImageView;--圆形控件
              src="xf";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="旋风茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };

        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="安易",
            {
              CircleImageView;--圆形控件
              src="ay";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="安逸茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };


        {
          LinearLayout;
          layout_margin="2.5%w";
          orientation='vertical';--重力属性
          layout_width='wrap';--布局宽度
          layout_height='wrap';--布局高度
          {
            LinearLayout;
            layout_marginTop='3.4dp';--布局顶距
            gravity='center';--重力属性
            orientation='vertical';--重力属性
            layout_width='fill';--布局宽度
            layout_height='fill';--布局高度
            id="白琼",
            {
              CircleImageView;--圆形控件
              src="bj";--图片路径
              layout_width='50dp';--图片宽度
              layout_height='50dp';--图片高度
            };
            {
              TextView;--文本控件
              layout_marginTop='6dp';--布局顶距
              text="白琼茄速";--显示的文字
              textSize='12sp';--文字大小
            },
          };
        };
]]

      };

















    },--线性布局 结束
  },--纵向滑动控件 结束
}--卡片布局 结束
))--相对布局 结束

function 缩放动画(控件)
  import "android.view.animation.*"
  控件.startAnimation(ScaleAnimation(0.0,1.0,0.0,1.0,1,0.5,1,0.5).setDuration(50))
end
bh.onClick=function()--返回图片点击事件
  缩放动画(bh)
  switchNightTheme(true,"Night.json")
  进入子页面("bh")

end

wy.onClick=function()--返回图片点击事件
  缩放动画(wy)

  对话框()
  .设置标题("51恰呱")
  .设置消息("\n官方版：线路稳，有少量(可关闭)广告，不可下载视频。\n\n内置版：免安装，可下载视频，常崩溃。\n")
  .设置积极按钮("官方版",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cjba"})
       else
        this.startActivity(open)
      end
    end
    打开程序("org.gtbxq.qwozjm")
  end)

  .设置中立按钮("内置版",function()
    switchNightTheme(true,"Night.json")
    进入子页面("51")
    print("无法加载 ：看右上角⚠")

  end)
  .显示()


end


--调用方法
孤煞.onClick=function()--返回图片点击事件
  缩放动画(孤煞)

  对话框()
  .设置标题("孤煞软件库")
  .设置消息("\n软件介绍：\n含影视、音乐、漫画、小说、游戏、VPN、(恰呱类≈没有)\n\n使用方法：\n若强制分享，分享给QQ👉我的电脑。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cjba"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.app.gsrjk")
  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n孤煞软件库同类➊：\n链接：\n\n孤煞软件库同类➋：\n链接：\n\n孤煞软件库同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(孤煞软件库)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()

end

逗盒.onClick=function()--返回图片点击事件
  缩放动画(逗盒)



  对话框()
  .设置标题("逗盒")
  .设置消息("\n软件介绍：(更新快，质量好)\n含影视、音乐、小说、漫画、实用工具、VPN、大人游戏、动作学习。\n\nVIP账号密码：\n复制命令 发送至【神器_密码】群。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")

        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cjba"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.douhe.app")
  end)

  .设置消极按钮("复制命令       ",function()
    print("已复制命令")
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      this.startActivity(open)
    end
    复制文本("@Q群管家 7")
    打开程序("com.tencent.mobileqq")
  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(逗盒)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .设置消极按钮("上传同类        ",function()
      对话框()
      .设置标题("上传链接")
      .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
      .设置积极按钮("发邮件",function()
        发送邮件("672812629@qq.com","上传链接","\n逗盒同类➊：\n链接：\n\n逗盒同类➋：\n链接：\n\n逗盒同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
      end)
      .设置中立按钮("安装邮箱",function()
        进入子页面("web",{"https://app.mail.qq.com/"})
      end)
      .显示()
    end)


    .显示()

  end)
  .显示()





end

黑洞.onClick=function()--返回图片点击事件
  缩放动画(黑洞)

  对话框()
  .设置标题("黒霘茄速")
  .设置消息("\n软件介绍：\n优先使用国内版，有问题再用谷歌版。\n\n注意：\nTikTok无网络与VPN无关❗\n电报Telegram收不到短信与VPN无关❗\n\n使用方法：\n如需要卡密 请卸载，在这里重新下载。")
  .设置积极按钮("国内版",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then

        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yta"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.blackhole.hd14116")
  end)

  .设置消极按钮("谷歌版         ",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yta"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.blackhole.network")
  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(黒霘)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .设置消极按钮("上传同类        ",function()
      对话框()
      .设置标题("上传链接")
      .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
      .设置积极按钮("发邮件",function()
        发送邮件("672812629@qq.com","上传链接","\n黒霘茄速同类➊：\n链接：\n\n黒霘茄速同类➋：\n链接：\n\n黒霘茄速同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
      end)
      .设置中立按钮("安装邮箱",function()
        进入子页面("web",{"https://app.mail.qq.com/"})
      end)
      .显示()
    end)

    .显示()

  end)
  .显示()


end

雷霆.onClick=function()--返回图片点击事件
  缩放动画(雷霆)

  对话框()
  .设置标题("蕾庭茄速")
  .设置消息("\n软件介绍：\n优先使用国内版，有问题再用谷歌版。\n\n注意：\nTikTok无网络与VPN无关❗\n电报Telegram收不到短信与VPN无关❗\n\n使用方法：\n如需要卡密 请卸载，在这里重新下载。")
  .设置积极按钮("国内版",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then

        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yne"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.leiting.lt99999")
  end)

  .设置消极按钮("谷歌版         ",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yne"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.leiting.network")

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(蕾庭)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .设置消极按钮("上传同类        ",function()
      对话框()
      .设置标题("上传链接")
      .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
      .设置积极按钮("发邮件",function()
        发送邮件("672812629@qq.com","上传链接","\n蕾庭茄速同类➊：\n链接：\n\n蕾庭茄速同类➋：\n链接：\n\n蕾庭茄速同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
      end)
      .设置中立按钮("安装邮箱",function()
        进入子页面("web",{"https://app.mail.qq.com/"})
      end)
      .显示()
    end)

    .显示()

  end)
  .显示()

end


旋风.onClick=function()--返回图片点击事件
  缩放动画(旋风)

  对话框()
  .设置标题("旋风茄速")
  .设置消息("\n软件介绍：\n优先使用国内版，有问题再用谷歌版。\n\n注意：\nTikTok无网络与VPN无关❗\n电报Telegram收不到短信与VPN无关❗\n\n使用方法：\n如需要卡密 请卸载，在这里重新下载。")
  .设置积极按钮("国内版",function()

    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yof"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.network.xf18371")
  end)

  .设置消极按钮("谷歌版         ",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09yof"})
       else
        this.startActivity(open)
      end
    end

    打开程序("com.xwind.network")
  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(旋风)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .设置消极按钮("上传同类        ",function()
      对话框()
      .设置标题("上传链接")
      .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
      .设置积极按钮("发邮件",function()
        发送邮件("672812629@qq.com","上传链接","\n旋风茄速同类➊：\n链接：\n\n旋风茄速同类➋：\n链接：\n\n旋风茄速同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
      end)
      .设置中立按钮("安装邮箱",function()
        进入子页面("web",{"https://app.mail.qq.com/"})
      end)
      .显示()
    end)

    .显示()

  end)
  .显示()

end



安易.onClick=function()--返回图片点击事件
  缩放动画(安易)


  对话框()
  .设置标题("安逸茄速")
  .设置消息("\n软件介绍：\n电脑版+手机无限注册版\n\n账号密码：\n注册就是一年，账号双端通用，一年后使用手机版再次注册")
  .设置积极按钮("手机版",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0a5eh"})
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwl.lanzouj.com/b0en0a5eh"})
       else
        this.startActivity(open)
      end
    end

    打开程序("com.giraffq")
  end)

  .设置消极按钮("下载电脑版",function()
    activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en2j3re"})
  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(安逸茄速)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .设置消极按钮("上传同类        ",function()
      对话框()
      .设置标题("上传链接")
      .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
      .设置积极按钮("发邮件",function()
        发送邮件("672812629@qq.com","上传链接","\n安逸茄速同类➊：\n链接：\n\n安逸茄速同类➋：\n链接：\n\n安逸茄速同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
      end)
      .设置中立按钮("安装邮箱",function()
        进入子页面("web",{"https://app.mail.qq.com/"})
      end)
      .显示()
    end)


    .显示()

  end)
  .显示()






end
白琼.onClick=function()--返回图片点击事件
  缩放动画(白琼)

  对话框()
  .设置标题("白琼茄速")
  .设置消息("\n软件介绍：\n电脑版+手机版\n\n账号密码：\n复制命令 发送至【神器_密码】群。\n\n若密码错误_请先自行注册(送30天)，\n\n后续再注册，删除手机内置储存.taobao_android 即可多次注册。")
  .设置积极按钮("手机版",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en2j3re"})

       else
        this.startActivity(open)
      end
    end

    打开程序("com.bjchuhai")
  end)

  .设置消极按钮("复制命令       ",function()
    print("已复制命令")
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      this.startActivity(open)
    end
    复制文本("@Q群管家 5")
    打开程序("com.tencent.mobileqq")

  end)

  .设置中立按钮("下载电脑版",function()
    activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en2j3re"})
  end)
  .显示()

end



tiktok.onClick=function()--返回图片点击事件
  缩放动画(tiktok)
  对话框()
  .设置标题("抖音国际版")
  .设置消息("\n软件介绍：\n国际短段视频\n\n只能在这里下载，其他地方下载的均未破解限制：地区、语言、网络、等限制。\n\n使用方法：\n开启VPN后打开，若打开无网络，请卸载后，在此处更换版本，直到有网络。")
  .设置积极按钮("打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
        activity.newActivity("web",{"https://423down.lanzouo.com/b0f199a5a"})

       else
        this.startActivity(open)
      end
    end
    打开程序("com.zhiliaoapp.musically")
  end)
  .设置中立按钮("下载/更换版本",function()
    activity.newActivity("web",{"https://423down.lanzouo.com/b0f199a5a"})
  end)
  .显示()


end
apkpure.onClick=function()--返回图片点击事件
  缩放动画(apkpure)

  对话框()
  .设置标题("Apkpure")
  .设置消息("\n软件介绍：\n国际应用商店，除了不能下载tiktok，电报、推特、脸书、地球、等其他国际软件，都是下载即使用。\n\n使用方法：\n开启VPN后，下载或打开。")
  .设置积极按钮("打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
       else
        this.startActivity(open)
      end
    end
    打开程序("com.apkpure.aegon")


  end)

  .设置中立按钮("下载",function()
    print("需要开启VPN")
    activity.newActivity("web",{"https://apkpure.net/cn/telegram/com.apkpure.aegon"})
  end)
  .显示()


end
telegram.onClick=function()--返回图片点击事件
  缩放动画(telegram)

  对话框()
  .设置标题("电报")
  .设置消息("\n软件介绍：\n国际群聊办公通讯软件，可畅聊任何内容。\n\n使用方法：\n开启VPN后，下载或打开，若注册收不到短信，更换设备或网络或手机号。")
  .设置积极按钮("打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")

       else
        this.startActivity(open)
      end
    end
    打开程序("org.telegram.messenger")

  end)
  .设置消极按钮("加入电报群",function()
    print("需要开启VPN")
    activity.newActivity("web",{"https://t.me/pj543121585"})

  end)

  .设置中立按钮("下载",function()


    print("需要开启VPN")
    activity.newActivity("web",{"https://apkpure.net/cn/telegram/org.telegram.messenger"})


  end)
  .显示()
end


Twitter.onClick=function()--返回图片点击事件
  缩放动画(Twitter)

  对话框()
  .设置标题("推特")
  .设置消息("\n软件介绍：\n国际微博软件，无尺度微博。\n\n使用方法：\n开启VPN后，下载或打开。")
  .设置积极按钮("打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
       else
        this.startActivity(open)
      end
    end
    打开程序("com.twitter.android")
  end)

  .设置中立按钮("下载",function()
    print("需要开启VPN")
    activity.newActivity("web",{"https://apkpure.net/cn/telegram/com.twitter.android"})
  end)
  .显示()


end




Facebook.onClick=function()--返回图片点击事件
  缩放动画(Facebook)

  对话框()
  .设置标题("脸书")
  .设置消息("\n软件介绍：\n国际微信，全球联系。\n\n使用方法：\n开启VPN后，下载或打开。")
  .设置积极按钮("打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未安装，请先安装")
       else
        this.startActivity(open)
      end
    end
    打开程序("com.facebook.katana")


  end)

  .设置中立按钮("下载",function()
    print("需要开启VPN")
    activity.newActivity("web",{"https://apkpure.net/cn/telegram/com.facebook.katana"})
  end)
  .显示()



end


软件仓库.onClick=function()--返回图片点击事件
  缩放动画(软件仓库)

  对话框()
  .设置标题("软件仓库")
  .设置消息("\n软件介绍：\n国内第三方应用商店，正规的、不正规的都能搜到，包括市面90%的破解软件，但有部分付费/钓鱼App，请注意甄别。\n\n使用方法：\n打开后搜索下载即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cnng"})

       else
        this.startActivity(open)
      end
    end
    打开程序("com.xieqing.yfoo.appso")
  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n软件仓库同类➊：\n链接：\n\n软件仓库同类➋：\n链接：\n\n软件仓库同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(软件仓库)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()

end
蓝搜.onClick=function()--返回图片点击事件
  缩放动画(蓝搜)



  对话框()
  .设置标题("蓝搜")
  .设置消息("\n软件介绍：\n破解软件+各大网盘资源搜索，正规的、不正规的都能搜到，包括市面50%的破解软件，但有部分付费/钓鱼App，请注意甄别。\n\n使用方法：\n打开后搜索下载即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cnng"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.jeray.lzpan")
  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n蓝搜同类➊：\n链接：\n\n蓝搜同类➋：\n链接：\n\n蓝搜同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(蓝搜)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()


end

奇妙.onClick=function()--返回图片点击事件
  缩放动画(奇妙)

  对话框()
  .设置标题("奇妙应用")
  .设置消息("\n软件介绍：\n破解软件+游戏+排行榜，正规的、不正规的都能搜到，包括市面50%的破解软件，但有部分付费/钓鱼App，请注意甄别。\n\n使用方法：\n打开后搜索下载即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cnng"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.magicalstory.AppStore")


  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n奇妙应用同类➊：\n链接：\n\n奇妙应用同类➋：\n链接：\n\n奇妙应用同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(奇妙应用)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()




end

奇异.onClick=function()--返回图片点击事件
  缩放动画(奇异)



  对话框()
  .设置标题("奇异社区")
  .设置消息("\n软件介绍：\n破解软件+论坛+破解技术+交流社区，正规的、不正规的都能找到，包括市面50%的破解软件，但有部分付费/钓鱼App，请注意甄别。\n\n使用方法：\n打开后浏览下载即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0cnng"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.qiyiapp.cloud")
  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n奇异社区同类➊：\n链接：\n\n奇异社区同类➋：\n链接：\n\n奇异社区同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(奇异社区)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()



end

影视.onClick=function()--返回图片点击事件
  缩放动画(影视)


  对话框()
  .设置标题("可可影视")
  .设置消息("\n软件介绍：\n国内外影视无版权，免费看，Android、iOS、Windows三端通用，韩国小姨子也能看。\n\n使用方法：\n打开后搜索观看即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://kk.xgdsu.cn/"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.keke.ysh1.tz08051h")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n可可影视同类➊：\n链接：\n\n可可影视同类➋：\n链接：\n\n可可影视同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(可可影视)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()






end

音乐.onClick=function()--返回图片点击事件
  缩放动画(音乐)



  对话框()
  .设置标题("速悦音乐")
  .设置消息("\n软件介绍：\n国内外音乐无版权，免费听、下载。\n\n使用方法：\n打开后搜索试听、下载即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en09wgf"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.xrjmusic.lly1.all")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n速悦音乐同类➊：\n链接：\n\n速悦音乐同类➋：\n链接：\n\n速悦音乐同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(速悦音乐)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()




end

电子书.onClick=function()--返回图片点击事件
  缩放动画(电子书)

  对话框()
  .设置标题("电子书")
  .设置消息("\n软件介绍：未收录，请上传。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未收录")
       else
        this.startActivity(open)
      end
    end
    打开程序("commonkeybook")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n电子书同类➊：\n链接：\n\n电子书同类➋：\n链接：\n\n电子书同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(电子书)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()



end

虚拟机.onClick=function()--返回图片点击事件
  缩放动画(虚拟机)


  对话框()
  .设置标题("虚拟机")
  .设置消息("\n软件介绍：\n用你的手机运行一个虚拟的安卓系统，相当于机中机，这么做的好处就是在这个虚拟机中，你可以做任何操作，包括Root、xp模块等，无论你怎么操作都不会影响你的真机系统。\n\n使用方法：\n打开并选择一个机。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0eo3eqif"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.vmos.pro")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n虚拟机同类➊：\n链接：\n\n虚拟机同类➋：\n链接：\n\n虚拟机同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(虚拟机)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()



end

万能钥匙.onClick=function()--返回图片点击事件
  缩放动画(万能钥匙)


  对话框()
  .设置标题("WIFI钥匙")
  .设置消息("\n软件介绍：\nWIFI钥匙_纯净_精简版，市区走到哪里都能联网。\n\n使用方法：\n打开后选择WIFI，一键连接，即可。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwmq.lanzouj.com/b0en0d8cb"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.wifi.link.wfys")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\nWIFI钥匙同类➊：\n链接：\n\nWIFI钥匙同类➋：\n链接：\n\nWIFI钥匙同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(WIFI钥匙)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()



end
磁力搜索.onClick=function()--返回图片点击事件
  缩放动画(磁力搜索)




  对话框()
  .设置标题("磁力搜索")
  .设置消息("\n软件介绍：\nBT种子资源搜索，正规的、不正规的都能搜到，包括市面90%的学习资料。\n\n使用方法：\n打开后搜索网盘改为磁力，搜索后复制，到另一个App 磁力下载 粘贴即可下载。")
  .设置积极按钮("下载/打开",function()
    弹出消息("未收录，请上传")
    --[[
    
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        activity.newActivity("web",{"https://wwl.lanzouj.com/b0eoiz8id"})
       else
        this.startActivity(open)
      end
    end
    打开程序("com.magicalstory.search")
]]
  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n磁力搜索同类➊：\n链接：\n\n磁力搜索同类➋：\n链接：\n\n磁力搜索同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(磁力搜索)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()




end

磁力下载.onClick=function()--返回图片点击事件
  缩放动画(磁力下载)

  对话框()
  .设置标题("磁力下载")
  .设置消息("\n软件介绍：未收录，请上传。")
  .设置积极按钮("下载/打开",function()
    function 打开程序(包名)
      import "android.content.Intent"
      import "android.content.pm.PackageManager"
      manager = activity.getPackageManager()
      open = manager.getLaunchIntentForPackage(包名)
      if open == nil then
        print("未收录")
       else
        this.startActivity(open)
      end
    end
    打开程序("commonkeybook")

  end)

  .设置消极按钮("上传同类       ",function()

    对话框()
    .设置标题("上传链接")
    .设置消息("\n若你发现 免费、无广告的同类型软件，请发邮件上传链接，感谢您的参与。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","上传链接","\n磁力下载同类➊：\n链接：\n\n磁力下载同类➋：\n链接：\n\n磁力下载同类➌：\n链接：\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)

  .设置中立按钮("失效反馈",function()

    对话框()
    .设置标题("失效反馈")
    .设置消息("\n若你发现该软件已失效、收费、功能缺失、限制、等情况，请发邮件反馈。")
    .设置积极按钮("发邮件",function()
      发送邮件("672812629@qq.com","失效反馈","\n名称：(磁力下载)\n软件已不能使用或其他变故。\n\n收件人填写:672812629@qq.com\n感谢您的参与！")
    end)
    .设置中立按钮("安装邮箱",function()
      进入子页面("web",{"https://app.mail.qq.com/"})
    end)
    .显示()

  end)
  .显示()

end

